ChangeSet 1.1612.17.2, 2004/02/26 16:31:27-08:00, akpm@osdl.org

[PATCH] fix x86_64 build for sys_device_register rename

fix x86_64 build for sys_device_register rename


 arch/x86_64/kernel/mce.c  |    2 +-
 arch/x86_64/kernel/time.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/arch/x86_64/kernel/mce.c b/arch/x86_64/kernel/mce.c
--- a/arch/x86_64/kernel/mce.c	Tue Mar  2 19:51:20 2004
+++ b/arch/x86_64/kernel/mce.c	Tue Mar  2 19:51:20 2004
@@ -448,7 +448,7 @@
 		return -EIO;
 	err = sysdev_class_register(&mce_sysclass);
 	if (!err)
-		err = sys_device_register(&device_mce);
+		err = sysdev_register(&device_mce);
 	if (!err) { 
 		/* could create per CPU objects, but is not worth it. */
 		sysdev_create_file(&device_mce, &attr_disabled_banks); 
diff -Nru a/arch/x86_64/kernel/time.c b/arch/x86_64/kernel/time.c
--- a/arch/x86_64/kernel/time.c	Tue Mar  2 19:51:20 2004
+++ b/arch/x86_64/kernel/time.c	Tue Mar  2 19:51:20 2004
@@ -788,7 +788,7 @@
 {
 	int error = sysdev_class_register(&pit_sysclass);
 	if (!error)
-		error = sys_device_register(&device_i8253);
+		error = sysdev_register(&device_i8253);
 	return error;
 }
 
